Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gentoo Local Security Checks >> [GLSA-200605-04] phpWebSite: Local file inclusion


Vulnerability Assessment Details

[GLSA-200605-04] phpWebSite: Local file inclusion

Vulnerability Assessment Summary
phpWebSite: Local file inclusion

Detailed Explanation for this Vulnerability Assessment
The remote host is affected by the vulnerability described in GLSA-200605-04
(phpWebSite: Local file inclusion)


rgod has reported that the "hub_dir" parameter in "index.php"
isn't properly verified. When "magic_quotes_gpc" is disabled, this can
be exploited to include arbitrary files from local ressources.

Impact

If "magic_quotes_gpc" is disabled, which is not the default on
Gentoo Linux, a remote attacker could exploit this issue to include and
execute PHP scripts from local ressources with the rights of the user
running the web server, or to disclose sensitive information and
potentially compromise a vulnerable system.

Workaround

There is no known workaround at this time.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1819


Solution:
All phpWebSite users should upgrade to the latest available
version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=www-apps/phpwebsite-0.10.2"


Network Security Threat Level: Medium


Networks Security ID:

Vulnerability Assessment Copyright: (C) 2006 Michel Arboi

Cables, Connectors

IBM HX5 BLADECENTER SERVER E7-4850 2.0GHZ 48GB NO HDD
$1539.0
IBM HX5 BLADECENTER SERVER E7-4850 2.0GHZ 48GB NO HDD pictureIBM SYSTEM X3550 M4 SERVER TWO E5-2680 2.70GHZ 16GB 3 X 1TB SATA
$1599.0
IBM SYSTEM X3550 M4 SERVER TWO E5-2680 2.70GHZ 16GB 3 X 1TB SATA pictureIBM HS23E BLADECENTER SERVER TWO E5-2407 2.20GHZ 128GB 146GB 15K SAS
$2969.0
IBM HS23E BLADECENTER SERVER TWO E5-2407 2.20GHZ 128GB 146GB 15K SAS pictureIBM FLEX SYSTEM X240 M5 9532 E5-2620V3 2.4GHZ 64GB 1TB 6G SATA
$4179.0
IBM FLEX SYSTEM X240 M5 9532 E5-2620V3 2.4GHZ 64GB 1TB 6G SATA picture


Discussions

No Discussions have been posted on this vulnerability.